<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" type="text/css" href="assets/js/vendor/viewer/viewer.min.css">
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
</head>
<body>
<div class="layui-fluid layui-anim layui-anim-fadein" style="padding: 0;">
    <div class="layui-row">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-body">
                    <div class="test-table-reload-btn" style="margin-bottom: 10px;">
                        <div class="layui-inline">
                            <input type="text" id="keywords" class="layui-input search-item" placeholder="输入关键字">
                        </div>
                        <button type="button" id="search" class="layui-btn layui-btn-sm">
                            <i class="fa fa-lg fa-search"></i> 搜索
                        </button>
                    </div>
                    <table class="layui-hide" id="dataTable" lay-filter="dataTable"></table>
                    <!-- 表头按钮组 -->
                    <script type="text/html" id="headerToolBar">
                        <div class="layui-btn-group">
                            <button type="button" class="layui-btn layui-btn-sm" lay-event="saveEvent">
                                <i class="fa fa-lg fa-plus"></i> 新增
                            </button>
                            <button type="button" class="layui-btn layui-btn-danger layui-btn-sm" lay-event="removeEvent">
                                <i class="fa fa-lg fa-trash"></i> 删除
                            </button>
                        </div>
                    </script>
                </div>
            </div>
        </div>
    </div>
</div>
<input id="selectedUserIds" type="hidden"/>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/'
    }).extend({
        index: 'lib/index'
    }).use(['index', 'table', 'common'], function() {
        var $ = layui.$;
        var $win = $(window);
        var table = layui.table;
        var admin = layui.admin;
        var common = layui.common;
        var positionId = top.restAjax.params(window.location.href).positionId;
        var resizeTimeout = null;
        var tableUrl = 'api/position/user/listpage/{positionId}';

        // 初始化表格
        function initTable() {
            table.render({
                elem: '#dataTable',
                id: 'dataTable',
                url: top.restAjax.path(tableUrl, [positionId]),
                width: admin.screen() > 1 ? '100%' : '',
                height: $win.height() - 60,
                limit: 20,
                limits: [20, 40, 60, 80, 100, 200],
                toolbar: '#headerToolBar',
                request: {
                    pageName: 'page',
                    limitName: 'rows'
                },
                cols: [
                    [
                        {type:'checkbox', fixed: 'left'},
                        {field:'rowNum', width:80, title: '序号', align:'center', templet: '<span>{{d.LAY_INDEX}}</span>'},
                        {field:'userUsername', width:140, title: '用户名', align:'center'},
                        {field:'userName', width:140, title: '昵称', align:'center'},
                        {field:'userPhone', width:140, title: '手机', align:'center',
                            templet: function(item) {
                                if(!item.userPhone) {
                                    return '-';
                                }
                                return item.userPhone;
                            }
                        },
                        {field:'userEmail', width: 160, title: '邮箱', align:'center',
                            templet: function(item) {
                                if(!item.userEmail) {
                                    return '-';
                                }
                                return item.userEmail;
                            }
                        },
                        {field:'userType', width:90, title: '类型', sort: true, align:'center',
                            templet: function(item) {
                                if(item.userType == 1) {
                                    return '<span class="layui-badge layui-bg-green">系统用户</span>';
                                } else if(item.userType == 2) {
                                    return '<span class="layui-badge layui-bg-orange">普通用户</span>';
                                } else if(item.userType == 3) {
                                    return '<span class="layui-badge layui-bg-gray">公共用户</span>';
                                }
                                return '<span class="layui-badge">类型错误</span>';
                            }
                        },
                        {field:'userState', width:80, title: '状态', sort: true, align:'center',
                            templet: function(item) {
                                var value;
                                switch (item.userState) {
                                    case 1:
                                        value = '<span class="layui-badge layui-bg-blue">锁定</span>';
                                        break;
                                    case -1:
                                        value = '<span class="layui-badge layui-bg-gray">未审核</span>';
                                        break;
                                    case -2:
                                        value = '<span class="layui-badge">审核不通过</span>';
                                        break;
                                    default:
                                        value = '<span class="layui-badge layui-bg-green">正常</span>';
                                }
                                return value;
                            }
                        },
                    ]
                ],
                page: true,
                parseData: function(data) {
                    return {
                        'code': 0,
                        'msg': '',
                        'count': data.total,
                        'data': data.rows
                    };
                }
            });
        }
        initTable();

        // 重载表格
        function reloadTable(currentPage) {
            table.reload('dataTable', {
                url: top.restAjax.path(tableUrl, [positionId]),
                where: {
                    keywords: $('#keywords').val(),
                },
                page: {
                    curr: currentPage
                },
                height: $win.height() - 60,
            });
        }
        // 删除
        function removeData(ids) {
            top.dialog.msg(top.dataMessage.delete, {
                time: 0,
                btn: [top.dataMessage.button.yes, top.dataMessage.button.no],
                shade: 0.3,
                yes: function(index) {
                    top.dialog.close(index);
                    var layIndex;
                    top.restAjax.delete(top.restAjax.path('api/position/user/remove/{positionId}/{ids}', [positionId, ids]), {}, null, function(code, data) {
                        top.dialog.msg(top.dataMessage.deleteSuccess);
                        var deleteUserIds = ids.split('_');
                        var selectedUserIds = $('#selectedUserIds').val().split('_');
                        var tempIds = common.resultIdsOfDeleteIds(deleteUserIds, selectedUserIds);
                        $('#selectedUserIds').val(tempIds);
                        reloadTable();
                    }, function(code, data) {
                        top.dialog.msg(data.msg);
                    }, function() {
                        layIndex = top.dialog.msg(top.dataMessage.deleting, {icon: 16, time: 0, shade: 0.3});
                    }, function() {
                        top.dialog.close(layIndex);
                    });
                }
            });
        }

        // 事件 - 页面变化
        $win.on('resize', function() {
            clearTimeout(resizeTimeout);
            resizeTimeout = setTimeout(function() {
                reloadTable();
            }, 500);
        });
        // 事件 - 搜索
        $(document).on('click', '#search', function() {
            reloadTable(1);
        });
        // 事件 - 增删
        table.on('toolbar(dataTable)', function(obj) {
            var layEvent = obj.event;
            var checkStatus = table.checkStatus('dataTable');
            var checkDatas = checkStatus.data;
            if(layEvent === 'saveEvent') {
                top.dialog.open({
                    url: top.restAjax.path('route/position/user/save-exclude?positionId={positionId}', [positionId]),
                    title: '添加职位用户',
                    width: '800px',
                    height: '500px',
                    closeBtn: 1,
                    onClose: function() {
                        reloadTable();
                    }
                });
            } else if(layEvent === 'removeEvent') {
                if(checkDatas.length === 0) {
                    top.dialog.msg(top.dataMessage.table.selectDelete);
                } else {
                    var ids = '';
                    for(var i = 0, item; item = checkDatas[i++];) {
                        if(i > 1) {
                            ids += '_';
                        }
                        ids += item.userId;
                    }
                    removeData(ids);
                }
            }
        });
    });
</script>
</body>
</html>